package io.xjar.boot;

import io.xjar.XLauncher;
import io.xjar.boot.XBootClassLoader;
import java.net.URL;
import org.springframework.boot.loader.JarLauncher;

public class XJarLauncher extends JarLauncher {

   private final XLauncher xLauncher;


   public XJarLauncher(String ... args) throws Exception {
      this.xLauncher = new XLauncher(args);
   }

   public static void main(String[] args) throws Exception {
      (new XJarLauncher(args)).launch();
   }

   public void launch() throws Exception {
      this.launch(this.xLauncher.args);
   }

   protected ClassLoader createClassLoader(URL[] urls) throws Exception {
      return new XBootClassLoader(urls, this.getClass().getClassLoader(), this.xLauncher.xDecryptor, this.xLauncher.xEncryptor, this.xLauncher.xKey);
   }
}
